> ## Documentation Index
> Fetch the complete documentation index at: https://facetai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all datasets

> Get information about all the processed datasets owned by the user.



## OpenAPI

````yaml GET /datasets
openapi: 3.1.0
info:
  title: Gemma Dataset Preprocessing Service
  description: A modular service for preprocessing datasets into ChatML format
  version: 2.0.0
servers:
  - url: https://preprocessing-service-433968519479.us-central1.run.app
security: []
paths:
  /datasets:
    get:
      summary: Get Datasets Info
      description: Get information about all the processed datasets owned by the user.
      operationId: get_datasets_info_datasets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetsInfoResponse'
components:
  schemas:
    DatasetsInfoResponse:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/DatasetInfoSample'
          type: array
          title: Datasets
      type: object
      required:
        - datasets
      title: DatasetsInfoResponse
    DatasetInfoSample:
      properties:
        dataset_name:
          type: string
          title: Dataset Name
        dataset_subset:
          type: string
          title: Dataset Subset
        dataset_source:
          type: string
          enum:
            - upload
            - huggingface
          title: Dataset Source
        modality:
          type: string
          enum:
            - text
            - vision
          title: Modality
          default: text
        dataset_id:
          type: string
          title: Dataset Id
        processed_dataset_id:
          type: string
          title: Processed Dataset Id
        num_examples:
          type: integer
          title: Num Examples
        created_at:
          type: string
          title: Created At
        splits:
          items:
            type: string
          type: array
          title: Splits
      type: object
      required:
        - dataset_name
        - dataset_subset
        - dataset_source
        - dataset_id
        - processed_dataset_id
        - num_examples
        - created_at
        - splits
      title: DatasetInfoSample

````